Loading...
Searching...
No Matches
lfeprebasismixin.hh File Reference
`#include <cassert>`
`#include <type_traits>`
`#include <dune/common/exceptions.hh>`
`#include <dune/functions/functionspacebases/leafprebasismappermixin.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/grid/common/mcmgmapper.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::LFEPreBasisMixin< GV, LFE >
| A pre-basis mixin class parametrized with a local finite-element and a DOF layout. More...
class | Dune::Functions::LFEPreBasisMixin< GV, LFE >::Node
| Leaf basis node that encapsulates a local finite-element given from the LFEPreBasisMixin of type LFE. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class GV, class LFE>
| Dune::Functions::LFEPreBasisMixin (const GV &, const LFE &, MCMGLayout) -> LFEPreBasisMixin< GV, LFE >